---
title: Howto wget
categories: tips
...

* Page de manuel : <https://www.gnu.org/software/wget/manual/wget.html>

# HowTo Wget

Wget est un client HTTP, HTTPS et FTP pour récupérer des pages web distante.


## Utilisation de base

~~~
# apt install wget
~~~

Exemples d'utilisation :

~~~
$ wget --limit-rate=100K -A *.mpeg -r http://dc5video.debian.net/2005-07-09/
$ http_proxy=http://192.168.14.4:3128 wget -p -H www.thomascook.fr
~~~

Voici les différentes options possibles :

* `-c` : pour reprendre un téléchargement déjà commencé
* `-q` : Pour le mode silencieux
* `--show-progress` : Montre la progression du téléchargement
* `-4` : utilise la liaison ipv4
* `-6` : utilise la liaison ipv6
* `--limit-rate=100k` : pour limiter le téléchargement à 100 K**o**/s
* `--no-check-certificate` : Ne vérifie pas la validité des certificats
* `-r` : téléchargement récursif d'un site (mode « aspirateur »)
* `-l <niveau>` (défaut=5) : niveau de répertoires à explorer pour l'aspirateur (`-l 0` : aucun)
* `-a <regex>` : pour limiter à une expression régulière
* `-P <foo>`: pour spécifier le répertoire foo/ où mettre le contenu téléchargé (au lieu du répertoire courant)
* `-p` : prendre tous les fichiers dont la page a besoin
* `-H` : active le teléchargement de « pages exterieures » au site demandé
* `-nc`: Ne télécharge pas le fichier s'il est déjà présent